org.richfaces.model.selection

## Class ClientSelection

- java.lang.Object
- - org.richfaces.model.selection.ClientSelection

- All Implemented Interfaces:
    java.io.Serializable

      public class ClientSelection
      extends java.lang.Object
      implements java.io.Serializable

  Class representing selection on client side. Actually, it's renderer specific
  Author:
    Maksim Kaszynski
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FLAG_ALL`
    `static java.lang.String` | `FLAG_RESET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSelection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIndex(int j)`
    `void` | `addRange(SelectionRange range)`
    `int` | `getActiveRowIndex()`
    `java.util.List<SelectionRange>` | `getRanges()`
    `java.lang.String` | `getSelectionFlag()`
    `boolean` | `isReset()`
    `boolean` | `isSelectAll()`
    `boolean` | `isSelected(int i)`
    `void` | `setActiveRowIndex(int activeRowIndex)`
    `void` | `setSelectionFlag(java.lang.String selectionFlag)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FLAG_RESET

          public static final java.lang.String FLAG_RESET

      See Also:
        Constant Field Values

    - #### FLAG_ALL

          public static final java.lang.String FLAG_ALL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientSelection

          public ClientSelection()

  - ### Method Detail

    - #### addRange

          public void addRange(SelectionRange range)

    - #### isSelected

          public boolean isSelected(int i)

    - #### getRanges

          public java.util.List<SelectionRange> getRanges()

    - #### addIndex

          public void addIndex(int j)

    - #### isReset

          public boolean isReset()

    - #### isSelectAll

          public boolean isSelectAll()

    - #### getSelectionFlag

          public java.lang.String getSelectionFlag()

    - #### setSelectionFlag

          public void setSelectionFlag(java.lang.String selectionFlag)

    - #### getActiveRowIndex

          public int getActiveRowIndex()

    - #### setActiveRowIndex

          public void setActiveRowIndex(int activeRowIndex)

Copyright © 2013. All Rights Reserved.